[Index] |  | [TOC]

# FreeType-2.4.3 API Reference

# The TrueType Engine

## Synopsis

| FT_TrueTypeEngineType |  | FT_Get_TrueType_Engine_Type

This section contains a function used to query the level of TrueType bytecode support compiled in this version of the library.

#### FT_TrueTypeEngineType

Defined in FT_MODULE_H (freetype/ftmodapi.h).

      typedef enum  FT_TrueTypeEngineType_
      {
        FT_TRUETYPE_ENGINE_TYPE_NONE = 0,
        FT_TRUETYPE_ENGINE_TYPE_UNPATENTED,
        FT_TRUETYPE_ENGINE_TYPE_PATENTED

      } FT_TrueTypeEngineType;

A list of values describing which kind of TrueType bytecode engine is implemented in a given FT_Library instance. It is used by the FT_Get_TrueType_Engine_Type function.

values

FT_TRUETYPE_ENGINE_TYPE_NONE
| The library doesn't implement any kind of bytecode interpreter.
FT_TRUETYPE_ENGINE_TYPE_UNPATENTED
| The library implements a bytecode interpreter that doesn't support the patented operations of the TrueType virtual machine. Its main use is to load certain Asian fonts which position and scale glyph components with bytecode instructions. It produces bad output for most other fonts.
FT_TRUETYPE_ENGINE_TYPE_PATENTED
| The library implements a bytecode interpreter that covers the full instruction set of the TrueType virtual machine (this was governed by patents until May 2010, hence the name).

since
2.2

[Index] |  | [TOC]

#### FT_Get_TrueType_Engine_Type

Defined in FT_MODULE_H (freetype/ftmodapi.h).

      FT_EXPORT( FT_TrueTypeEngineType )
      FT_Get_TrueType_Engine_Type( FT_Library  library );

Return an FT_TrueTypeEngineType value to indicate which level of the TrueType virtual machine a given library instance supports.

input

library | A library instance.

return
A value indicating which level is supported.

since
2.2

[Index] |  | [TOC]